Subject: bug#16502: segmentation fault with org-capture

From: Dmitry Antipov <[email-masked]>
Date: Mon, 20 Jan 2014 21:13:35 +0400

On 01/20/2014 07:29 PM, Nathan Froyd wrote:

> The patch does not seem to make it much better; I can now do a couple
> more cycles of <F2> m C-c C-k, but I can still segfault:

Hm...I tried a lot with this patch, and was unable to reproduce again.
IIUC you're running without ENABLE_CHECKING; could you please try to run
debugging version configured with:

CFLAGS='-O0 -g3' ./configure --enable-check-lisp-object-type --enable-checking

Hopefully eassert will be raised somewhere before SIGSEGV; and all debugging
tools works much better with these CFLAGS.

If debugging version doesn't work too, try to obtain core dump and
put your '-O0 -g3' emacs _and_ temacs binaries plus core dump somewhere
on the net - I'll try to look into them.

Dmitry